<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::MatchExpr&lt; ArgT, MatcherT &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1MatchExpr.html">MatchExpr</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1MatchExpr-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::MatchExpr&lt; ArgT, MatcherT &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::MatchExpr&lt; ArgT, MatcherT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1MatchExpr__inherit__graph.png" border="0" usemap="#Catch_1_1MatchExpr_3_01ArgT_00_01MatcherT_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1MatchExpr_3_01ArgT_00_01MatcherT_01_4_inherit__map" id="Catch_1_1MatchExpr_3_01ArgT_00_01MatcherT_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="13,80,199,121"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::MatchExpr&lt; ArgT, MatcherT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1MatchExpr__coll__graph.png" border="0" usemap="#Catch_1_1MatchExpr_3_01ArgT_00_01MatcherT_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1MatchExpr_3_01ArgT_00_01MatcherT_01_4_coll__map" id="Catch_1_1MatchExpr_3_01ArgT_00_01MatcherT_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="107,95,292,136"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="231,5,357,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae55ee9bf46c8676c65e9df291a98c345"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#ae55ee9bf46c8676c65e9df291a98c345">MatchExpr</a> (ArgT const &amp;arg, MatcherT const &amp;matcher, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;matcherString)</td></tr>
<tr class="separator:ae55ee9bf46c8676c65e9df291a98c345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e41adb597750b2219bb37e51185629"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">streamReconstructedExpression</a> (std::ostream &amp;os) const override</td></tr>
<tr class="separator:ad3e41adb597750b2219bb37e51185629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55ee9bf46c8676c65e9df291a98c345"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#ae55ee9bf46c8676c65e9df291a98c345">MatchExpr</a> (ArgT const &amp;arg, MatcherT const &amp;matcher, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;matcherString)</td></tr>
<tr class="separator:ae55ee9bf46c8676c65e9df291a98c345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e41adb597750b2219bb37e51185629"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">streamReconstructedExpression</a> (std::ostream &amp;os) const override</td></tr>
<tr class="separator:ad3e41adb597750b2219bb37e51185629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1ITransientExpression"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1ITransientExpression')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:afca1b2e321c5b04648f28293b915b860"><td class="memItemLeft" align="right" valign="top">ArgT const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#afca1b2e321c5b04648f28293b915b860">m_arg</a></td></tr>
<tr class="separator:afca1b2e321c5b04648f28293b915b860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dea78586dd2b3268b4a186e7c0adbe2"><td class="memItemLeft" align="right" valign="top">MatcherT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#a4dea78586dd2b3268b4a186e7c0adbe2">m_matcher</a></td></tr>
<tr class="separator:a4dea78586dd2b3268b4a186e7c0adbe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33ec706994f744ff1f4a549177ec08f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1MatchExpr.html#a33ec706994f744ff1f4a549177ec08f9">m_matcherString</a></td></tr>
<tr class="separator:a33ec706994f744ff1f4a549177ec08f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structCatch_1_1ITransientExpression"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structCatch_1_1ITransientExpression')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td></tr>
<tr class="memitem:a75ce48da824d514d08152d396abb28d8 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a75ce48da824d514d08152d396abb28d8">m_isBinaryExpression</a></td></tr>
<tr class="separator:a75ce48da824d514d08152d396abb28d8 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4646e2b5e0156e913653ec3b9b60c942 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a4646e2b5e0156e913653ec3b9b60c942">m_result</a></td></tr>
<tr class="separator:a4646e2b5e0156e913653ec3b9b60c942 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae55ee9bf46c8676c65e9df291a98c345"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55ee9bf46c8676c65e9df291a98c345">&#9670;&nbsp;</a></span>MatchExpr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::<a class="el" href="classCatch_1_1MatchExpr.html">MatchExpr</a> </td>
          <td>(</td>
          <td class="paramtype">ArgT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MatcherT const &amp;&#160;</td>
          <td class="paramname"><em>matcher</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>matcherString</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae55ee9bf46c8676c65e9df291a98c345"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55ee9bf46c8676c65e9df291a98c345">&#9670;&nbsp;</a></span>MatchExpr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::<a class="el" href="classCatch_1_1MatchExpr.html">MatchExpr</a> </td>
          <td>(</td>
          <td class="paramtype">ArgT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MatcherT const &amp;&#160;</td>
          <td class="paramname"><em>matcher</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>matcherString</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad3e41adb597750b2219bb37e51185629"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3e41adb597750b2219bb37e51185629">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>.</p>

</div>
</div>
<a id="ad3e41adb597750b2219bb37e51185629"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3e41adb597750b2219bb37e51185629">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afca1b2e321c5b04648f28293b915b860"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afca1b2e321c5b04648f28293b915b860">&#9670;&nbsp;</a></span>m_arg</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ArgT const  &amp; <a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::m_arg</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4dea78586dd2b3268b4a186e7c0adbe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dea78586dd2b3268b4a186e7c0adbe2">&#9670;&nbsp;</a></span>m_matcher</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MatcherT <a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::m_matcher</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a33ec706994f744ff1f4a549177ec08f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33ec706994f744ff1f4a549177ec08f9">&#9670;&nbsp;</a></span>m_matcherString</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT , typename MatcherT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> <a class="el" href="classCatch_1_1MatchExpr.html">Catch::MatchExpr</a>&lt; ArgT, MatcherT &gt;::m_matcherString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
